docs

# BaseRequestsExecutor

abstract class BaseRequestsExecutor (telegramAPIUrlsKeeper: TelegramAPIUrlsKeeper ) : RequestsExecutor
Content copied to clipboard

## Constructors

BaseRequestsExecutor
Link copied to clipboard
fun BaseRequestsExecutor (telegramAPIUrlsKeeper: TelegramAPIUrlsKeeper )
Content copied to clipboard

## Functions

close
Link copied to clipboard
expect abstract fun close ()
Content copied to clipboard
execute
Link copied to clipboard
abstract suspend fun < T : Any > execute (request: Request < T >): T
Content copied to clipboard

Unsafe execution of incoming request. Can throw almost any exception. So, it is better to use something like dev.inmo.tgbotapi.extensions.utils.shortcuts.executeAsync or dev.inmo.tgbotapi.extensions.utils.shortcuts.executeUnsafe

## Inheritors

KtorRequestsExecutor
Link copied to clipboard